/*
 * lex -- header file for lex.c
 *
 * Modified 02-Dec-80 Bob Denny -- Conditionalize debug code for smaller size
 *                                 Turn on debug code when overlaid.
 *          03-Dec-80 Bob Denny -- Change allocations for moves, nfa's and
 *                                  dfa's for RT-11. Try these for RSX if
 *                                  you overlay the same way.
 *          28-May-81 Bob Denny -- Change allocations for both RT and RSX.
 *                                  Overlay is same. Debug code adds little
 *                                  task space. Delete externs which caused
 *                                  TKB to barf.
 *          28-Aug-81 Bob Denny -- Add extern int sflag for "-s" support.
 *          30-Oct-82 Bob Denny -- Change allocations for RSX.
 *          15-Apr-83 Bob Denny -- Add big allocations for VAX-11 C
 *			20-Nov-83 Scott Guthery -- Adapt for IBM PC & DeSmet C
 */

#include "system.h"

/*
 * External definitions.
 */
extern  struct  trans   trans[];
extern  struct  trans   *transp;
extern  struct  nfa     nfa[];
extern  struct  nfa     *nfap;
extern  struct  dfa     dfa[];
extern  int     ndfa;
extern  struct  move    move[];
extern  struct  xset    sets[];
extern  char    insets[];
extern  struct  set     *setlist;
extern  char    ccls[][(NCHARS+1)/NBPC];
extern  int     nccls;
extern  int     llnxtmax;
extern  char    *tabname;
extern  FILE    *llout;
extern  FILE    *lexin;
extern  int     aflag;
extern  int     sflag;
extern  int     lflag;
extern  char    *infile;

#ifdef DEBUG
extern  FILE    *lexlog;
extern  int     lldebug;
extern  int     mflag;
#endif
